
# Kaiju Saves Earth

Low Rez Jam 2023

![Kaiju Saves Earth Title Screen](assets/textures/ui/titlescreenbig.png "Kaiju Saves Earth")

In the distant future humans are panicked and pose a great risk to each other and themselves. Fortunately there is a giant monster "Kaiju" that come in to scoop up these people before they hurt anyone, storing them safely on its protected shell on its back. You play as the Kaiju trying to save as many people as possible before they hurt themselves.

Controls: w,a,s,d for movement and u,i,j,k for other actions, escape to quit.
Currently on builds on linux and macOS; uses CMake and should be easy enough to port to other systems.

By:
Alan Youngblood

## INSTALL
### Linux

1. Download and unzip the project files
2. Install KDevelop with your package manager
3. Install dependencies (listed as apt packages with debian/ubuntu and derivative distros): `sudo apt install libboost-dev cmake build-essential libsdl2-2.0-0 libsdl2-dev libsdl2-image-2.0.-0 libsdl2-image-dev libsdl2-mixer-2.0-0 libsdl2-mixer-dev`
4. Open the .kdev4 project file in KDevelop, configure launch to be the executable which should be KaijuSaveEarth/build/KaijuSaveEarth; build should be configured already.
5. Build in KDevelop.
6. Launch/Run from KDevelop.
7. Enjoy playing!

### macOS

1. Download and unzip the project files
2. Install Apple Mac Developer tools in terminal.app: xcode-select --install
3. Install dependencies, we recommend using brew: brew install boost cmake sdl2 sdl2_image sdl2_mixer<br>
4. In terminal: `cd KaijuSaveEarth/build`
5. `cmake ..`
6. `make`
7. `open ..`
8. Double Click the executable KaijuSaveEarth
9. Enjoy playing!